pango.Color
Prev | The pango Class Reference | Next

## pango.Color

pango.Color — an object representing a RGB color

## Synopsis

    class pango.Color(gobject.GBoxed):
        pango.Color(spec)

## Attributes

"red" | Read | The red component of the color with a value between 0 and 65535.
"green" | Read | The green component of the color with a value between 0 and 65535.
"blue" | Read | The blue component of the color with a value between 0 and 65535.

## Description

A `pango.Color` object is a `gobject.GBoxed` type that represents a color with RGB components. Each component value ranges from 0 to 65535.

## Constructor

        pango.Color(spec)

`spec` : | a string specifying the new color
Returns : | a new `pango.Color` object.

Creates a new `pango.Color` using the color attributes specified by the string `spec`. The string in `spec` can either one of a large set of standard names. (Taken from the X11 `rgb.txt` file), or it can be a hex value in the form '`rgb`' '`rrggbb`' '`rrrgggbbb`' or '`rrrrggggbbbb`' where 'r', 'g' and 'b' are hex digits of the red, green, and blue components of the color, respectively. (White in the four forms is '`fff`' '`ffffff`' '`fffffffff`' and '`ffffffffffff`')

Prev | Up | Next
pango.AttrList | Home | pango.Context